com.h3c.util.snmp

## Class SnmpPdu

- java.lang.Object
- - com.h3c.util.snmp.VarBinds
  - - com.h3c.util.snmp.SnmpPdu

-     public class SnmpPdu
      extends VarBinds

  SNMP PDU.
  This class is a wrapper and does not own any of the field instances.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SnmpPdu.ErrorType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SnmpPdu()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getErrorIndex()` Returns the PDU error index
    `SnmpPdu.ErrorType` | `getErrorStatus()` Returns the PDU error enumeration mapped to the PDU error codes.
    `int` | `getMaxReps()` Returns the PDU max repetitions
    `SnmpFieldType` | `getType()` Returns the type of the PDU (GET_REQ, SET_REQ, ...).

    - ### Methods inherited from class com.h3c.util.snmp.VarBinds

      `addOid, addOid, addVB_64, addVB_64, addVB_U32, addVB_U32, addVB, addVB, addVB, addVB, addVB, addVB, addVB, addVB, addVB, addVB, addVB, addVB, clearVBs, getNumVBs, getOid, getVal, getVB`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SnmpPdu

          public SnmpPdu()

  - ### Method Detail

    - #### getType

          public SnmpFieldType getType()

      Returns the type of the PDU (GET_REQ, SET_REQ, ...).
      Returns:
        SNMP field type

    - #### getErrorStatus

          public SnmpPdu.ErrorType getErrorStatus()

      Returns the PDU error enumeration mapped to the PDU error codes.
      Returns:
        PDU error enumeration

    - #### getErrorIndex

          public int getErrorIndex()

      Returns the PDU error index
      Returns:
        error index

    - #### getMaxReps

          public int getMaxReps()

      Returns the PDU max repetitions
      Returns:
        max repetitions (used for bulk walks)

Copyright © 2014. All Rights Reserved.